cURL
curl --request POST \ --url https://api.cal.com/v2/notifications/subscriptions/app-push \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]", "platform": "IOS", "deviceId": "device-uuid-123" } '
{ "status": "success", "data": { "id": 123, "userId": 123, "type": "<string>", "platform": "<string>", "identifier": "<string>", "deviceId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
value must be Bearer <token> where <token> is api key prefixed with cal_
Bearer <token>
<token>
Expo Push Token
EXPO_PUSH_TOKEN_REGEX
"ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]"
Mobile platform
IOS
ANDROID
"IOS"
Unique device identifier
"device-uuid-123"
success
error
"success"
Show child attributes
Was this page helpful?